2021-01-25 11:19 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006399Spring engineLinuxpublic2020-11-02 02:01
ReporterL29Ah 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006399: libunitsync.so segfaults at start
Descriptionspring-104.0.1_p1474, springlobby-0.269

Started from springlobby with both singleplayer and multiplayer modes.

The produced core dump is surprisingly small and yields an useless backtrace:
#0 0x00007f3499c5d047 in ?? ()
#1 0x0000000000000002 in ?? ()
#2 0x00007ffe9941fa91 in ?? ()
0000003 0x00007ffe9941facc in ?? ()
0000004 0x0000000000000000 in ?? ()
TagsNo tags attached.
Checked infolog.txt for ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020416

abma (administrator)

can you provide springlobby.log and infolog.txt of such a crash please?

~0020417

L29Ah (reporter)

Mantis upload facility doesn't work, so there they are:
http://vperde.l29ah.blasux.ru/dump/f2dfb0ed2ffe366a7e670d9406ea4219/springlobby.log
http://vperde.l29ah.blasux.ru/dump/af5bb6ca3353d83100dd8d21ead6f028/infolog.txt

~0020541

abma (administrator)

you are using an old version of springlobby, please update it first!

very likely the crash is already fixed in the current version.

thank you!

sorry for the late response, but this basicly the wrong bug tracker. SpringLobby has its own bugtracker: https://github.com/springlobby/springlobby/issues

the not released springlobby 0.271 will fix some crashes, so without investigation this issue hopefully is fixed for you too.
+Notes

-Issue History
Date Modified Username Field Change
2020-06-10 22:22 L29Ah New Issue
2020-06-11 11:55 abma Status new => feedback
2020-06-11 11:55 abma Note Added: 0020416
2020-06-11 12:09 L29Ah Note Added: 0020417
2020-06-11 12:09 L29Ah Status feedback => new
2020-11-02 02:01 abma Assigned To => abma
2020-11-02 02:01 abma Status new => closed
2020-11-02 02:01 abma Resolution open => no change required
2020-11-02 02:01 abma Note Added: 0020541
+Issue History